### Signal

# Gtk LevelBar::offset-changed

since: 4.0

#### Declaration

    void
    offset_changed (
      GtkLevelBar* self,
      gchar* name,
      gpointer user_data
    )

#### Description [src]

Emitted when an offset specified on the bar changes value.

This typically is the result of a `gtk_level_bar_add_offset_value()` call.

The signal supports detailed connections; you can connect to the detailed signal “changed::x” in order to only receive callbacks when the value of offset “x” changes.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 4.0

#### Parameters

`name`

  Type: `gchar*`

  The name of the offset that changed value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.